  var app = new Vue({
    el: "#app",
    router: router,
    store: store,
    data: function () {
      return {
      };
    },
    created() {
    },
    updated() {

    },
    mounted() {
    },
    methods: {
      async checkLogin(cbk) {
        var d = await this.$root.postReq("/web/auth/userCtl/checkLogin", {});
        if (d && d.status == 0 && d.data) {
          this.$store.state.currentUser = d.data;
          cbk();
        } else {
          //alert("no login");
          location.href = appinfo.homePage;
        }
      },
    },
  });
});
//});
